> For the complete documentation index, see [llms.txt](https://docs.kdc.in/storeivr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kdc.in/storeivr/whatsapp/conversations.md).

# Conversations

Starting **February 1st, 2022**, WhatsApp will switch from a notification-based pricing model to a conversation-based pricing model. Instead of being charged for notifications sent, businesses will be charged per conversation, which includes all messages delivered within a 24-hour period.&#x20;

After this date there will be a new [`conversation`](https://developers.facebook.com/docs/whatsapp/api/webhooks/components#conversation-object) object on the [`webhook`](https://developers.facebook.com/docs/whatsapp/api/webhooks/components#conversation-object), as well as a [`pricing`](https://developers.facebook.com/docs/whatsapp/api/webhooks/components#pricing-object) and an [`origin`](https://developers.facebook.com/docs/whatsapp/api/webhooks/components#origin-object) object. These will then indicate the conversation ID, how it was initiated and the pricing schema that will be applied.

### How It Works <a href="#how-it-works" id="how-it-works"></a>

There are two types of conversations on the WhatsApp Business API, each with different rates:

* **User-initiated**: A conversation that initiates in response to a user message. Any time a business replies to a user within the 24 hour customer service window, that message will be associated with a user-initiated conversation.
* **Business-Initiated**: A conversation that initiates from a business sending a user a message outside the 24 hour customer service window. Messages that initiate a business-initiated conversation will require a message template.
* All conversations are measured in 24-hour increments or “sessions,” as we’ll refer to them here

These 24-hour conversation sessions start whenever the first message is delivered by a business, either in response to a user inquiry, or if a business-initiated message template is delivered.

Charges for conversations are based on the user’s phone number. Rates for business-initiated conversations and user-initiated conversations vary by market (country or region). See [Rates](https://developers.facebook.com/docs/whatsapp/pricing/conversationpricing?utm_medium=email&_hsmi=200111438&_hsenc=p2ANqtz-_dneKUCWaioWXnmZKnm8HzdqhHEmvOLlHZG7J6mXU5kRQNQGaRWQ8E0FZCaDjFXk-RGFninkPU1UXEuDR7YBR0dzD_TabBYEXRH-8_Q5YENSHhs1Q\&utm_content=200111438\&utm_source=hs_email#rates) for specific pricing information.

### Free Entry Points Conversations <a href="#free-entry-points" id="free-entry-points"></a>

Conversations will not be charged when users message businesses using call-to-actions buttons on [Ads that click to WhatsApp](https://www.facebook.com/business/help/447934475640650) or a [Facebook Page CTA](https://www.facebook.com/help/977869848936797). Free entry point conversations can only be user-initiated. Only the first conversation that starts from the entry point is free of charge. Subsequent conversations with the user are charged.

Standard pricing will apply for Ads that Click to WhatsApp. The conversation that initiates from the ad is free, but not the ad itself.

### API usage and webhooks

With the new pricing being implemented, nothing changes when sending messages and templates. There will be new information available in the webhook: a new [`conversation`](https://developers.facebook.com/docs/whatsapp/api/webhooks/components#conversation-object) object as well as a [`pricing`](https://developers.facebook.com/docs/whatsapp/api/webhooks/components#pricing-object) and an [`origin`](https://developers.facebook.com/docs/whatsapp/api/webhooks/components#origin-object) object. These will then indicate the conversation ID, how it was initiated and the pricing schema that will be applied.

Please see more information in the [detailed Facebook document](https://developers.facebook.com/docs/whatsapp/api/webhooks/components#conversation-object).

### Facebook Documentation

See the below link for the official Facebook documentation on the Topic.&#x20;

{% embed url="<https://developers.facebook.com/docs/whatsapp/pricing/conversationpricing?_hsenc=p2ANqtz-_dneKUCWaioWXnmZKnm8HzdqhHEmvOLlHZG7J6mXU5kRQNQGaRWQ8E0FZCaDjFXk-RGFninkPU1UXEuDR7YBR0dzD_TabBYEXRH-8_Q5YENSHhs1Q&_hsmi=200111438>" %}

### FAQ - Conversations

**Q: Where can I see the total costs for my conversations?** \
For owned WABAs (if you onboarded with the Embedded Signup process) you can view\
the following metrics are available in the **Insights** tab of your WhatsApp Manager:

* **Messages sent**: The number of messages sent from the selected phone number(s). This is different from messages delivered, which only counts messages that were confirmed as being delivered to the recipient.
* **Messages delivered**: The number of messages that your recipients received that were sent and delivered from the selected phone number(s). This only counts messages that were confirmed as being delivered to the recipient.
* **Messages received**: The number of messages that the selected phone number(s) received from recipients.
* **Amount spent**: The estimated total amount of money you've spent on messages delivered from the selected phone number(s). This metric is an [estimate](https://www.facebook.com/business/help/181058782494426).

You can export these metrics from the **Insights** tab by phone number, country and message type.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kdc.in/storeivr/whatsapp/conversations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
